function [SAE_tot] = KPI3_sim(x, eta_meas_vec, nu_data_vec, drone_table_vec, samp_time, length_tests)
%Weigthing
w_x   = 1.0;
w_y   = 1.0;
w_psi = 10.0;
w_pos = 0.25 ;
w_vel = 1.0;
SAE_tot = 0;

for i=1:length_tests
    nu_data = nu_data_vec{i}(2:4,:);
    len    = length(eta_meas_vec{i});
    len_nu = length(nu_data);
    eta_data      = eta_meas_vec{i}';
    eta_dot_data  = zeros(3,len);
    [eta_est,nu_est,etadot_est,time_vec tau_data] = sim3DOFdiscrete(x, eta_data, nu_data, drone_table_vec{i}, samp_time);
    len_est = length(nu_est);
    error_pos = eta_est(:,1:len_est-1) - eta_data(:,1:len_est-1);
    error_pos(3,:) = rad2radpi(error_pos(3,:))*180/pi;
    SAE_pos = sum(abs(error_pos),2);
    error_vel = diag([1,1,180/pi])*(nu_est(:,1:len_est-1) - nu_data(:,1:len_est-1));
    SAE_vel = sum(abs(error_vel),2);
    SAE = [w_x, w_y, w_psi]*(w_pos*SAE_pos + w_vel*SAE_vel); 
    SAE_tot = SAE_tot + SAE ;
end

