% Developed by Roger Skjetne.

function [ oqus_acc ] = differentiatorFIR( oqus )

%Translating all oqus angles from degrees to radians
oqus(5:7,:) = deg2rad(oqus(5:7,:));

%Filter properties
Nf = 50;        %Filter order
Fpass = 2;      %Passband frequency
Fstop = 5;      %Stopband frequency
Fs = 100;       %Sampling rate

%Designing differentiator FIR filter
d = designfilt('differentiatorfir','FilterOrder',Nf,'PassbandFrequency',...
    Fpass,'StopbandFrequency',Fstop,'SampleRate',Fs);

dt = 0.01;
t = oqus(1,:);

delay = mean(grpdelay(d));
ad = [];
for i = 2:7
    vdrift = filter(d, oqus(i,:))/dt;
    ad(i-1,:) = filter(d,vdrift)/dt;
end
at = t(1:end-2*delay);
ad(:,1:2*delay) = [];
at(1:2*delay) = [];
ad(:,1:2*delay) = [];

oqus_acc = [at; ad];

end