function [eta_meas_vec, drone_table_vec, length_tests] = get_meas(deg2rad)
    %eta_meas_vec [m,m,rad]

    %% Data folders
    main_folder_q = 'clean_data\test_data\qualisys_data_clean\';
    main_folder_d = 'clean_data\test_data\drone_data_clean\';
    tests = dir(main_folder_q);
    tests = tests(~ismember({tests.name}, {'.', '..'}));
    length_tests = length(tests);
    eta_meas_vec = {};
    drone_table_vec = {};
    
    %% Load data
    for i_test=1:length(tests)
        filePattern_q = fullfile(main_folder_q, tests(i_test).name, '*.mat');
        filePattern_d = fullfile(main_folder_d, tests(i_test).name, '*.mat');
        filenames_q = dir(filePattern_q);
        filenames_d = dir(filePattern_d);

        i_file = 1;
        filename_q = filenames_q(i_file).name;
        fullFileName_q = fullfile(main_folder_q,tests(i_test).name, filename_q);
        disp(['Open: ' fullFileName_q])
        load(fullFileName_q);
        filename_d = filenames_d(i_file).name;
        fullFileName_d = fullfile(main_folder_d,tests(i_test).name, filename_d);
        disp(['Open: ' fullFileName_d])
        load(fullFileName_d);

        %% Get pose from measurements
        pos_q = qualisys_data.RigidBodies.Positions;   
        %divide
        
        %Plot depth 
%         figure(7+i_test)
%         plot(pos_q(3,:))
%         hold on
%         cchange = 1;
%         plot(drone_table.state_estim_depth(:)-1)
%         legend('qualisys','drone')
%         title('depth')
        
        eta_meas = [pos_q(1,:).', pos_q(2,:).', rad2radpi(drone_table.state_estim_heading*deg2rad)]; 

        % Store date
        eta_meas_vec{i_test} = eta_meas;
        drone_table_vec{i_test} = drone_table;         
    end

end
