function [M_sim, C_sim, DL_sim, DC_sim, DQ_sim] = model_params3DOF_obs(x)
%% Model parameters
% Model: M*nu_dot + DL*nu = tau

m = 8.6; %weight in air
Iz = 92502.96*10^(-6);  % [kgm^2]

MRB_sim = [m     0    0;  
           0     m    0;
           0     0    Iz];

% Added mass
MA_sim = diag([5.0899 19.4 0.16]);

% Linear damping
Xu = -x(1);
Yv = -x(2);
Yr = -x(3);
Nv = -x(3);
Nr = -x(4);
DL_sim = diag([-Xu -Yv -Nr]); 
DL_sim(3,2) = -Nv;
DL_sim(2,3) = -Yr;
% Quadric damping
DQ_sim = zeros(3,3);
%DQ_sim = diag([9.4873 45.7127 0.5344]);
% Cubic damping
DC_sim = zeros(3,3);
%DC_sim = diag([(-0.7339) 6.2125 -0.0523]);


% Total mass matrix
M_sim = MA_sim + MRB_sim;

% Coriolis effect matrix
C_sim = zeros(3,3);

% Bias
%bias = [x(6); x(7); x(8)];

end

