import numpy as np 

RATE = 100.0  # Hz

#Sensor data:
heading_sampT = 0.01 
heading_noise_std = np.sqrt(np.array([1e-6]))
heading__rate_sampT = 0.01 
heading__rate_noise_std = np.sqrt(np.array([1e-6]))
APS_sampT = 0.5
APS_noise_std = np.sqrt(np.array([1e-5, 1e-5]))  
APS_offset = np.array([0.00814, 0, -0.2036]) # relative to CO in body frame.

#Set constants:
mass = 8.6  # [kg]
Iz = 92502.96e-6  # [kgm^2]
mass_rigid_body = np.diag([mass, mass, Iz])
added_mass = np.diag([5.22, 19.87, 0.1])
mass_total = added_mass + mass_rigid_body
coriolis_centr = np.array([[0, 0, -mass + added_mass[1,1]],\
        [0, 0, mass - added_mass[0,0]],\
        [mass - added_mass[1,1], -mass + added_mass[0,0], 0]])

#Damping 
linear_damping_case1 = 0.01*np.diag([25, 30, 3.3]) 
linear_damping_case1[2,1]= 1.4
linear_damping_case1[1,2]= 1.4
linear_damping_case2 = np.diag([11.4, 31.2, 2.5]) 
linear_damping_case2[2,1]= 2.2
linear_damping_case2[1,2]= 2.2
quadratic_damping = np.diag([8.8, 86.8, 0.1])


