#!/usr/bin/env python
import rospy
from std_msgs.msg import Int16


class Watchdog(object):
    def __init__(self):
        # Publishers and subscribers:
        self.pub_watchdog = rospy.Publisher("/hmi/watchdog", Int16, queue_size=1)
        self.watchdog_time = 0
        self.rate = 1
        rate = rospy.Rate(self.rate)
        while not rospy.is_shutdown():
            self.watchdog_time += 1
            self.pub_topics(self.watchdog_time)
            rate.sleep()
    def pub_topics(self, data):
        self.pub_watchdog.publish(data)

if __name__ == '__main__':
    rospy.init_node('node_generate_watchdog', anonymous=True)
    node = Watchdog()