#!/usr/bin/env python
from config import RATE
from geometry_msgs.msg import Vector3
from p2_drone.msg import StateEstimate, ControlForce, ObserverEstimate, Reference, DShotRef

class Data:
    def __init__(self):
        self.rate = RATE 
        self.control = ControlForce()
        self.state_estimate = StateEstimate()
        self.observer_estimate = ObserverEstimate()
        self.reference = Reference()
        self.thrust_sp = DShotRef()
        self.aps_meas = Vector3()
        self.attitude = Vector3()

    def set_control(self, control):
        self.control = control
    
    def set_state_estimate(self, state_estimate):
        self.state_estimate = state_estimate 

    def set_observer_estimate(self, observer_estimate):
        self.observer_estimate = observer_estimate

    def set_reference(self, reference):
        self.reference = reference
    
    def set_thrust(self, thrust_sp):
        self.thrust_sp = thrust_sp
    
    def set_aps_meas(self, aps_meas):
        self.aps_meas = aps_meas
    
    def set_attitude(self, attitude):
        self.attitude = attitude