#!/usr/bin/env python
import csv
from datetime import datetime

class Write_csv:

    def new_file(self,now):
        date = str(datetime.now())
        date = date.replace(' ', '_', 1)
        date = date.split('.')[0]
        date = date.replace(':', '-')
        self.f = open('../controller_test/log%s.csv'
                      % date, mode='w')

        fieldnames = ['Time', 'control_surge',
                      'control_sway', 'control_heave',
                      'control_yaw', 'state_estim_depth', 'state_estim_depth_rate', \
                      'state_estimate_heading', 'state_estimate_heading_rate',\
                      'obs_x', 'obs_y', 'obs_psi', 'obs_u', 'obs_v', 'obs_r', 'obs_b1',
                      'obs_b2', 'obs_b3','ref_x', 'ref_y', 'ref_z', 'ref_psi', 'ref_u',
                      'ref_v', 'ref_w', 'ref_r', 'thrust_right', 'thrust_left', 'thrust_vert',
                      'thrust_lat', 'aps_x', 'aps_y', 'attitude_x', 'attitude_y', 'attitude_z'
                      ]
        self.writer = csv.DictWriter(self.f, fieldnames=fieldnames)
        self.writer.writeheader()

    def write_line(self, data,now):
        self.writer.writerow({'Time': '%f' % (now.secs+now.nsecs/1e9),
                              'control_surge': '%f' % data.control.surge,
                              'control_sway': '%f' % data.control.sway,
                              'control_heave': '%f' % data.control.heave,
                              'control_yaw': '%f' % data.control.yaw,   
                              'state_estim_depth': '%f' % data.state_estimate.depth,
                              'state_estim_depth_rate': '%f' % data.state_estimate.depth_rate,
                              'state_estimate_heading': '%f' % data.state_estimate.heading , 
                              'state_estimate_heading_rate': '%f' % data.state_estimate.heading_rate,
                              'obs_x': '%f' % data.observer_estimate.eta_hat.x,
                              'obs_y': '%f' % data.observer_estimate.eta_hat.y, 
                              'obs_psi': '%f' % data.observer_estimate.eta_hat.z,
                              'obs_u': '%f' % data.observer_estimate.nu_hat.x,
                              'obs_v': '%f' % data.observer_estimate.nu_hat.y,
                              'obs_r': '%f' % data.observer_estimate.nu_hat.z,
                              'obs_b1': '%f' % data.observer_estimate.b_hat.x, 
                              'obs_b2': '%f' % data.observer_estimate.b_hat.y, 
                              'obs_b3': '%f' % data.observer_estimate.b_hat.z,
                              'ref_x': '%f' % data.reference.surge_pos,
                              'ref_y': '%f' % data.reference.sway_pos, 
                              'ref_z': '%f' % data.reference.depth, 
                              'ref_psi': '%f' % data.reference.heading, 
                              'ref_u': '%f' % data.reference.surge_vel, 
                              'ref_v': '%f' % data.reference.sway_vel, 
                              'ref_w': '%f' % data.reference.depth_rate, 
                              'ref_r': '%f' % data.reference.heading_rate,
                              'thrust_right': '%f' % data.thrust_sp.right ,
                              'thrust_left': '%f' % data.thrust_sp.left, 
                              'thrust_vert': '%f' % data.thrust_sp.vert,
                              'thrust_lat': '%f' % data.thrust_sp.lat,
                              'aps_x': '%f' % data.aps_meas.x, 
                              'aps_y': '%f' % data.aps_meas.y, 
                              'attitude_x': '%f' % data.attitude.x, 
                              'attitude_y': '%f' % data.attitude.y, 
                              'attitude_z': '%f' % data.attitude.z
                              })
    def close_file(self):
        self.f.close()
